libKF5ThreadWeaver5-5.43.0-1.1.i586.rpm


Advertisement

Description

libKF5ThreadWeaver5 - KDE Helper for multithreaded programming

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package name libKF5ThreadWeaver5
Package version 5.43.0
Package release 1.1
Package architecture i586
Package type rpm
Installed size 186.65 KB
Download size 73.02 KB
Official Mirror widehat.opensuse.org
ThreadWeaver is a helper for multithreaded programming.  It uses a job-based
interface to queue tasks and execute them in an efficient way.
You simply divide the workload into jobs, state the dependencies between the jobs
and ThreadWeaver will work out the most efficient way of dividing the work between
threads within a set of resource limits.

Alternatives

Package Version Architecture Repository
libKF5ThreadWeaver5-5.53.0-150.1.i586.rpm 5.53.0 i586 KDE Frameworks 5
libKF5ThreadWeaver5-5.53.0-150.1.x86_64.rpm 5.53.0 x86_64 KDE Frameworks 5
libKF5ThreadWeaver5-5.51.0git.20181209T110854~4f955ef-10.1.i586.rpm 5.51.0git.20181209T110854~4f955ef i586 KDE Frameworks Unstable
libKF5ThreadWeaver5-5.51.0git.20181209T110854~4f955ef-10.1.x86_64.rpm 5.51.0git.20181209T110854~4f955ef x86_64 KDE Frameworks Unstable
libKF5ThreadWeaver5-5.43.0-1.1.x86_64.rpm 5.43.0 x86_64 openSUSE Oss
libKF5ThreadWeaver5 - - -

Requires

Name Value
/sbin/ldconfig -
libQt5Core.so.5 -
libQt5Core.so.5(Qt_5) -
libQt5Core.so.5(Qt_5.10) -
libQt5Core5 >= 5.10.0
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.21) -
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

Provides

Name Value
libKF5ThreadWeaver.so.5 -
libKF5ThreadWeaver5 = 5.43.0-1.1
libKF5ThreadWeaver5(x86-32) = 5.43.0-1.1

Download

Type URL
Binary Package libKF5ThreadWeaver5-5.43.0-1.1.i586.rpm
Source Package threadweaver-5.43.0-1.1.src.rpm

Install Howto

Install libKF5ThreadWeaver5 rpm package:

# zypper install libKF5ThreadWeaver5

See Also

Package Description
libKF5Tnef5-17.12.2-1.1.i586.rpm KDE PIM Libraries: TNEF Support
libKF5Tnef5-17.12.2-1.1.x86_64.rpm KDE PIM Libraries: TNEF Support
libKF5Torrent6-2.1-1.1.i586.rpm Torrent Downloading Library
libKF5Torrent6-2.1-1.1.x86_64.rpm Torrent Downloading Library
libKF5UnitConversion5-32bit-5.43.0-1.1.x86_64.rpm Converting physical units
libKF5UnitConversion5-5.43.0-1.1.i586.rpm Converting physical units
libKF5UnitConversion5-5.43.0-1.1.x86_64.rpm Converting physical units
libKF5UnitConversion5-lang-5.43.0-1.1.noarch.rpm Translations for package kunitconversion
libKF5Vkontakte2-5.0.0-1.1.i586.rpm Library for asynchronous interaction with vkontakte.ru social network
libKF5Vkontakte2-5.0.0-1.1.x86_64.rpm Library for asynchronous interaction with vkontakte.ru social network
libKF5Wallet5-32bit-5.43.0-1.1.x86_64.rpm Safe desktop-wide storage for passwords
libKF5Wallet5-5.43.0-1.1.i586.rpm Safe desktop-wide storage for passwords
libKF5Wallet5-5.43.0-1.1.x86_64.rpm Safe desktop-wide storage for passwords
libKF5WebKit5-32bit-5.43.0-1.1.x86_64.rpm Integration of the HTML rendering engine WebKit
libKF5WebKit5-5.43.0-1.1.i586.rpm Integration of the HTML rendering engine WebKit
Advertisement
Advertisement